Wolves of Capitol HillAPI Docs
API Reference

Politicians

Politician profiles with recent trades and counts.

One politician profile with recent trades and counts.

GET
/api/v1/politicians/{slug}
AuthorizationBearer <token>

API key as bearer token.

In: header

Path Parameters

slugstring

Politician slug from a trade or profile (e.g. nancy-pelosi).

Response Body

curl -X GET "https://www.wolfofcapitolhill.com/api/v1/politicians/string"
{
  "data": {
    "politician": {
      "slug": "string",
      "name": "string",
      "chamber": "house",
      "party": "string",
      "state": "string",
      "district": "string",
      "photoUrl": "string"
    },
    "recentTrades": [
      {
        "id": "string",
        "politician": {
          "slug": "string",
          "name": "string",
          "chamber": "house",
          "party": "string",
          "state": "string"
        },
        "ticker": "string",
        "assetName": "string",
        "assetType": "string",
        "side": "buy",
        "amountBucket": "string",
        "amountRange": {
          "min": 0,
          "max": 0,
          "label": "string"
        },
        "tradeDate": "2019-08-24",
        "disclosedAt": "2019-08-24T14:15:22Z",
        "filingUrl": "string",
        "ownerType": "self",
        "conflictSignal": true,
        "conflictReason": "string"
      }
    ],
    "counts": {
      "publishedTrades": 0
    }
  }
}
{
  "error": "string",
  "hint": "string"
}
{
  "error": "string",
  "hint": "string"
}